<?php

// compteur de page générées x fois
$fp = fopen("series/compteur_serie.txt","r+");
$nbvisites = fgets($fp,11);
$nbvisites++;
fseek($fp,0);
fputs($fp,$nbvisites);
fclose($fp);

if(isset($_POST['serieid'])) {

$base_allocine = 'http://www.allocine.fr/series/ficheserie_gen_cserie=';

$total = 0;

foreach($_POST['serieid'] as $info) {

$url_allocine = $base_allocine . $info[id] . '.html';

list($serie,$erreur) = getInfoserieALLOCINE($url_allocine);

if(isset($serie)) {
	echo '<center>';
	
	// si case center cocher
	if ($info[center] == '1'){
	$center = '<center>';
	$center2 = '</center>';
	$center_ = '[center]';
	$center_2 = '[/center]';
	// sinon
	}else{}

	// si case couleur cocher
	if ($info[selectcolor] == '1'){
	$color1 = '<font color="'.$info['color'].'">';
	$color_1 = '</font>';
	$color2 = '[color='.$info['color'].']';
	$color_2 = '[/color]';
	// sinon
	}else{}

	// si case quote cocher
	if ($info[quote] == '1'){
	$quote = '<div style="width:97%;background-color:#DFDFDF; border:#C1C1C1 3px solid;">';
	$quote2 = '</div>';
	$quote_ = '[quote]';
	$quote_2 = '[/quote]';
	// sinon
	}else{}
	
	// si case lien remerciement cocher
	if ($info[remerci] == '1'){
	$merci = '<div style="padding-left:20px; width:97%"><a href=' . $info[remerciement] . ' target="_blank"><img src="'.$url_default.'images/merci.png" /></a></div><br />';
	$merci2 = '[url=' . $info[remerciement] . '][img]'.$url_default.'images/merci.png[/img][/url]'."\n\n";
	// sinon
	}else{}
	
	// réécriture des decoupages
	$decoupage1 = '<img src="'.$url_default.'images/decoupage/'.$info[decoupage].'-1.png" />';
	$decoupage2 = '[img]'.$url_default.'images/decoupage/'.$info[decoupage].'-1.png[/img]';

	// réécriture de la langue
	$langue1 = '<img src="'.$url_default.'images/flags/'.$info[langue].'-1.png" />';
	$langue2 = '[img]'.$url_default.'images/flags/'.$info[langue].'-1.png[/img]';

	// réécriture du sous_titre
	$soustitres1 = '<img src="'.$url_default.'images/flags/'.$info[soustitres].'-1.png" />';
	$soustitres2 = '[img]'.$url_default.'images/flags/'.$info[soustitres].'-1.png[/img]';

	// réécriture des hébergeur
	$heberg1 = '<img src="'.$url_default.'images/heberg/'.$info[tag].'.png" />';
	$heberg2 = '[img]'.$url_default.'images/heberg/'.$info[tag].'.png[/img]';

	// réécriture de la qualité du film
	$quality1 = '<img src="'.$url_default.'images/qualite/'.$info[qualite].'.png" />';
	$quality2 = '[img]'.$url_default.'images/qualite/'.$info[qualite].'.png[/img]';

	// réécriture des formats du film
	$format1 = '<img src="'.$url_default.'images/format/'.$info[format].'.png" />';
	$format2 = '[img]'.$url_default.'images/format/'.$info[format].'.png[/img]';
	
	echo $center.'<font size="4" color="red"><b>..:: '.trim($serie['titre']).' ::..</b></font><br /><br />';

	echo '<img src="'.$serie['image'].'" /><br /><br />';

	echo '<img src="'.$url_default.'images/controle/'.$info['mini_img'].'-1.jpg" /><br /><br />';
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/info_serie.png" /><br /><br />';

	echo '<div style="padding-left:20px; width:97%">';
	echo $color1.'<b>Origine de la série:</b> '.$serie['pays'].'<br />';
	echo '<b>Titre original :</b> '.$serie['tit_origi'].'<br />';
	echo '<b>Note :</b> '.$serie['note'].'<br />';
	echo '<b>Statut :</b> '.$serie['statut'].'<br />';
	echo '<b>Réalisateur(s) :</b> '.$serie['real'].'<br />';
	echo '<b>Acteur(s) :</b> '.$serie['acteurs'].'<br />';
	echo '<b>Genre :</b> '.$serie['genre'].'<br />';
	echo '<b>Date de diffusion :</b> '.$serie['date'] .$color_1;
	echo '</div><br />';
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/syn_serie.png" /><br /><br />';
	
	echo $color1.'<i>'.$serie['resume'].'</i><br />'.$color_1;
	
	// verif si les vignettes ont été select (si oui on affiche)	
	if($_POST['vignette'] = $_POST['vignette']){
	
	echo '<div style="padding-left:20px; width:97%" align="left">';
	
	// recup des vignettes selectionnées et affichage normal
	for ($i=0;$i<count($_POST['vignette']);$i++)
	{
	$biencheck = $_POST['vignette'][$i];
	// si option affichage des vignettes en 80 on affiche
	if ($info['vign_choix'] =='vign_80'){
	echo '<a href="http://images.allocine.fr/r_640_600/b_1_d6d6d6/medias/nmedia/'.$biencheck.'" target="_blank"><img src="http://images.allocine.fr/c_100_100/b_1_d6d6d6/medias/nmedia/'.$biencheck.'" /></a> ';
	}
	// si option affichage des vignettes en 434 on affiche
	if ($info['vign_choix'] =='vign_434'){
	echo '<img src="http://images.allocine.fr/r_640_600/b_1_d6d6d6/medias/nmedia/'.$biencheck.'" />';
	}
	}
	echo '</div><br />';
	}else{}

	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/up_serie.png" /><br /><br />';

	// formatage de la taille et nbre de fichier

	// Calcul et affichage de l'unité
	$info[calcul1] = $info[nbfichiers] * $info[taillefichiers];
	// Affiche si le champ nbfichiers2 est rempli
	if (empty ($info['nbfichiers2']) ) 
	{}else{ 
	$total2 = ' et ' . $info[nbfichiers2] . ' x ' . $info[taillefichiers2] . '&nbsp;Mo';
	$info[calcul2] = $info[nbfichiers2] * $info[taillefichiers2];}
	// Calcul total du UP
	$info[tailletotale] = $info[calcul1] + $info[calcul2];
	// Fonction pour Afficher Ko, Mo ou Go
	if
		($info[tailletotale] < 1 ){
		$info[tailletotales] = ($info[tailletotale]*1024);
		$info[affichage] = number_format($info[tailletotales], 0, ",", " ");
		$info[unites] = $info[affichage]." Ko";}
		elseif
		($info[tailletotale] >= 1024 ){
		$info[tailletotales] = ($info[tailletotale]/1024);
		$info[affichage] = number_format($info[tailletotales], 2, ",", " ");
		$info[unites] = $info[affichage]." Go";}
		elseif
		($info[tailletotale] <= 999 ){
		$info[tailletotales] = ($info[tailletotale]*1);
		$info[affichage] = number_format($info[tailletotales], 2, ",", " ");
		$info[unites] = $info[affichage]." Mo";}
		else{}

	// fin du formatage de la taille et nbre de fichier

	echo '<div style="padding-left:20px; width:97%">';
	echo $color1.'<b>Hébergeur :</b> '.$heberg1.'<br />';
	echo '<br />';
	echo '<b>Uploader :</b> '.$info[uploader].'<br />';
	echo '<br />';
	echo '<b>Info sur la release :</b> '.$info[inforelease].'<br />';
	echo '<br />';
	echo '<b>Qualité :</b> '.$quality1.'<br />';
	echo '<b>Format :</b> '.$format1.'<br />';
	echo '<b>Langue :</b> '.$langue1.'<br />';
	echo '<b>Sous-titres :</b> '.$soustitres1.'<br />';
	echo '<b>Découpage :</b> '.$decoupage1.'<br />';
	echo '<br />';
	echo '<b><u>Nombre de fichiers et tailles</u> :</b> <i>' . $info[nbfichiers] . ' x ' . $info[taillefichiers] . '&nbsp;Mo'.$total2.'</i><br />';
	echo '<br />';
	echo '<font color="red"><b><u>Taille totale</u> :</b></font> <i>'.$info[unites].'</i><br /><br />'.$color_1;
        echo '</div><br />';
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/dl_serie.png"/><br /><br />';
	
	echo '<div style="padding-left:20px; width:95%">
	      <div style="background-color:#FFFFFF; border:#0066FF 1px dashed">';
	
	// reecriture des url	  
	$lien = explode ("\n",$info[lien]);
    
    // si case hide cocher
	if ($info[hide] == '1'){
	
	$hide = '<DL class=hidebox><DT class=unhide>HIDE: ON<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.''.trim($link).'<br>'.$quote2;
    }
	$hide .= '</DD></DL>';
	// sinon
	}else{
	$hide = '<DL class=hidebox><DT class=hide>HIDE: OFF<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.''.trim($link).'<br>'.$quote2;
    }
	$hide .= '</DD></DL>';
	}
	
	echo $hide;
  
	echo '</div></div><br><div style="padding-left:20px; width:97%">';
	echo $color1.'<b>Mot de passe :</b> '.$info[mdp].'<br>'.$color_1;
	echo '</div><br />';
	
		$total += $info[tailletotale];
	echo '<div style="padding-left:20px; width:97%">';
	echo '<font color="red"><b>Total du post:</b> '.$total.',00 Mo</font><br />';
	echo '</div><br /></font>';
	echo $sample.$merci;
	echo '<div style="padding-left:20px; width:97%">';
	echo '<b><a href="'.$url_default.'index.php"><img src="'.$url_default.'images/generateur.png" alt="'.$team.'" /></a></b>';
	echo '</div>'.$center2;

	echo '</center>';


// BBCode pour PhpBB & PunBB 
echo '<br /><br />';
echo '<p class="titre" style="margin: 0px 0px 0px 10px;"><img src="images/fleche.gif" alt="fleche" width="31" height="12" />BBCode à coller dans votre message</p>';
echo '<center>';
echo '<fieldset class="fieldset">';
echo '<legend class="legend"><b>PhpBB, PunBB, IPB & VBULLETIN Section Serie</b></legend><center>';
echo '<input name="texttag" type="text" id="texttag" value="'.trim($serie['titre']).' ('.$serie['genre'].') " size="70" onclick="this.select()"><br><br>';

echo '<textarea name="textpost" cols="85" rows="10" onclick="this.select()">';

 
	echo $center_.'[color=red][b]..:: '.$serie['titre'].' ::..[/b][/color]'."\n\n";

	echo '[img]'.$serie['image'].'[/img]'."\n\n";

	echo '[img]'.$url_default.'images/controle/'.$info[mini_img].'-1.jpg[/img]'."\n\n";
    
	echo '[img]'.$url_default.'img_cat/'.$info['style'].'/info_serie.png[/img]'."\n\n";
	
        echo $color2.'[b][u]Origine de la serie :[/u] : [/b] [i]'.$serie['pays'].'[/i]' ."\n";
	echo '[b][u]Titre original[/u] : [/b] [i]'.$serie['tit_origi'].'[/i]' ."\n";
	echo '[b][u]Note[/u] : [/b] [i]'.$serie['note'].'[/i]' ."\n";
	echo '[b][u]Statut[/u] : [/b] [i]'.$serie['statut'].'[/i]' ."\n";
	echo '[b][u]Réalisateur[/u] : [/b] [i]'.$serie['real'].'[/i]' ."\n";
	echo '[b][u]Acteurs[/u] : [/b] [i]'.$serie['acteurs'].'[/i]' ."\n";
	echo '[b][u]Genre[/u] : [/b] [i]'.$serie['genre'].'[/i]' ."\n";
	echo '[b][u]Date de diffusion :[/u] : [/b] [i]'.$serie['date'].'[/i]'.$color_2."\n\n";
	
	echo '[img]'.$url_default.'img_cat/'.$info['style'].'/syn_serie.png[/img]'."\n\n";
	
	echo $color2.'[i]'.$serie['resume'].'[/i]'.$color_2."\n\n";
	
	if($_POST['vignette'] = $_POST['vignette']){
	
	// recup des vignettes selectionnées et affichage BBcode
    for ($i=0;$i<count($_POST['vignette']);$i++)
    {
    $biencheck = $_POST['vignette'][$i];
	// si option affichage des vignettes en 80 on affiche
	if ($info['vign_choix'] =='vign_80'){
	echo '[url=http://images.allocine.fr/r_760_x'.$biencheck.'][img]http://images.allocine.fr/c_80_80/b_1_x'.$biencheck.'[/img][/url] ';
	}
	// si option affichage des vignettes en 434 on affiche
	if ($info['vign_choix'] =='vign_434'){
	echo '[img]http://images.allocine.fr/r_760_x'.$biencheck.'[/img] ';
	}
    }
    echo "\n\n";
	}else{}
	
	echo '[img]'.$url_default.'img_cat/'.$info['style'].'/up_serie.png[/img]'."\n\n";
	
	echo $color2.'[b][u]Hébergeur[/u] : [/b] [i]'.$heberg2.'[/i]' ."\n\n";
	echo '[b][u]Uploader[/u] : [/b] [i]'.$info[uploader].'[/i]' ."\n\n";
	echo '[b][u]Info sur la release[/u] :[/b] [i]'.$info[inforelease].'[/i]'. "\n\n";
	echo '[b][u]Qualité[/u] : [/b] [i]'.$quality2.'[/i]' ."\n";
	echo '[b][u]Format[/u] : [/b] [i]'.$format2.'[/i]' ."\n";
	echo '[b][u]Langue[/u] : [/b] [i]'.$langue2.'[/i]' ."\n";
	echo '[b][u]Sous-titre[/u] : [/b] [i]'.$soustitres2.'[/i]' ."\n";
	echo '[b][u]Découper avec[/u] : [/b] [i]'.$decoupage2.'[/i]' ."\n\n";
        echo '[b][u]Nombre de fichiers et tailles[/u] : [/b] [i]'.$info[nbfichiers].' x '.$info[taillefichiers].' Mo '.$total2.'[/i]' ."\n\n";
	echo '[color=red][b]Total totale:[/b][/color] [i]'.$info[unites].'[/i]'.$color_2. "\n\n";
	
	echo '[img]'.$url_default.'img_cat/'.$info['style'].'/dl_serie.png[/img]'."\n\n";
	
	// reecriture des url	  
	$liens = explode ("\n",$info[lien]);
    // si case hide cocher
	if ($info[hide] == '1'){
	$hides .= '[hide]'."\n";
	foreach ($liens as $links) {
	$hides .= $quote_.''.trim($links).'' .$quote_2."\n";
    }
	$hides .= '[/hide]'."\n";
	// sinon
	}else{
	$hides .= "\n";
	foreach ($liens as $links) {
	$hides .= $quote_.''.trim($links).'' .$quote_2."\n";
	}
	$hides .= "\n";
	}
	echo $hides."\n";
	
	echo $color2.'[b][u]Mot de pass[/u] : [/b] [i]'.$info[mdp].'[/i]'.$color_2."\n\n";
        echo '[color=red][b]Total du post: '.$total.',00 Mo[/b][/color]'."\n\n";
	echo $sample2.$merci2;
	echo '[url='.$url_default.'index.php][img]'.$url_default.'images/generateur.png[/img][/url]'.$center_2;
	
echo '</textarea><center>';
echo '</fieldset>';

echo '<fieldset class="fieldset">';
echo '<legend class="legend"><b>HTML & Blog Section Film</b></legend><center>';
echo '<input name="texttag" type="text" id="texttag" value="'.$serie['titre'].' ('.$serie['genre'].') " size="70" onclick="this.select()"><br><br>';
echo '<textarea name="textpost" cols="85" rows="10" onclick="this.select()">';

	echo $center.'<font size="4" color="red"><b>..:: '.trim($serie['titre']).' ::..</b></font><br /><br />';

	echo '<img src="'.$serie['image'].'" /><br /><br />';

	echo '<img src="'.$url_default.'images/controle/'.$info['mini_img'].'-1.jpg" /><br /><br />';
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/info_serie.png" /><br /><br />';

	echo '<div style="padding-left:20px; width:97%">';
	echo $color1.'<b>Origine de la série:</b> '.$serie['pays'].'<br />';
	echo '<b>Titre original :</b> '.$serie['tit_origi'].'<br />';
	echo '<b>Note :</b> '.$serie['note'].'<br />';
	echo '<b>Statut :</b> '.$serie['statut'].'<br />';
	echo '<b>Réalisateur(s) :</b> '.$serie['real'].'<br />';
	echo '<b>Acteur(s) :</b> '.$serie['acteurs'].'<br />';
	echo '<b>Genre :</b> '.$serie['genre'].'<br />';
	echo '<b>Date de diffusion :</b> '.$serie['date'] .$color_1;
	echo '</div><br />';
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/syn_serie.png" /><br /><br />';
	
	echo $color1.'<i>'.$serie['resume'].'</i><br />'.$color_1;
	
	// verif si les vignettes ont été select (si oui on affiche)	
	if($_POST['vignette'] = $_POST['vignette']){
	
	echo '<div style="padding-left:20px; width:97%" align="left">';
	
	// recup des vignettes selectionnées et affichage normal
	for ($i=0;$i<count($_POST['vignette']);$i++)
	{
	$biencheck = $_POST['vignette'][$i];
	// si option affichage des vignettes en 80 on affiche
	if ($info['vign_choix'] =='vign_80'){
	echo '<a href="http://images.allocine.fr/r_640_600/b_1_d6d6d6/medias/nmedia/'.$biencheck.'" target="_blank"><img src="http://images.allocine.fr/c_100_100/b_1_d6d6d6/medias/nmedia/'.$biencheck.'" /></a> ';
	}
	// si option affichage des vignettes en 434 on affiche
	if ($info['vign_choix'] =='vign_434'){
	echo '<img src="http://images.allocine.fr/r_640_600/b_1_d6d6d6/medias/nmedia/'.$biencheck.'" />';
	}
	}
	echo '</div><br />';
	}else{}

	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/up_serie.png" /><br /><br />';

	echo '<div style="padding-left:20px; width:97%">';
	echo $color1.'<b>Hébergeur :</b> '.$heberg1.'<br />';
	echo '<br />';
	echo '<b>Uploader :</b> '.$info[uploader].'<br />';
	echo '<br />';
	echo '<b>Info sur la release :</b> '.$info[inforelease].'<br />';
	echo '<br />';
	echo '<b>Qualité :</b> '.$quality1.'<br />';
	echo '<b>Format :</b> '.$format1.'<br />';
	echo '<b>Langue :</b> '.$langue1.'<br />';
	echo '<b>Sous-titres :</b> '.$soustitres1.'<br />';
	echo '<b>Découpage :</b> '.$decoupage1.'<br />';
	echo '<br />';
	echo '<b><u>Nombre de fichiers et tailles</u> :</b> <i>' . $info[nbfichiers] . ' x ' . $info[taillefichiers] . '&nbsp;Mo'.$total2.'</i><br />';
	echo '<br />';
	echo '<font color="red"><b><u>Taille totale</u> :</b></font> <i>'.$info[unites].'</i><br /><br />'.$color_1;
        echo '</div><br />';
	
	echo '<img src="'.$url_default.'img_cat/'.$info['style'].'/dl_serie.png"/><br /><br />';
	
	echo '<div style="padding-left:20px; width:95%">
	      <div style="background-color:#FFFFFF; border:#0066FF 1px dashed">';
	
	// reecriture des url	  
	$lien = explode ("\n",$info[lien]);
    
    // si case hide cocher
	if ($info[hide] == '1'){
	
	$hide = '<DL class=hidebox><DT class=unhide>HIDE: ON<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.''.trim($link).'<br>'.$quote2;
    }
	$hide .= '</DD></DL>';
	// sinon
	}else{
	$hide = '<DL class=hidebox><DT class=hide>HIDE: OFF<DD>';
	foreach ($lien as $link) {
	$hide .=$quote.''.trim($link).'<br>'.$quote2;
    }
	$hide .= '</DD></DL>';
	}
	
	echo $hide;
  
	echo '</div></div><br><div style="padding-left:20px; width:97%">';
	echo $color1.'<b>Mot de passe :</b> '.$info[mdp].'<br>'.$color_1;
	echo '</div><br />';
	
		$total5 += $info[tailletotale];
	echo '<div style="padding-left:20px; width:97%">';
	echo '<font color="red"><b>Total du post:</b> '.$total5.',00 Mo</font><br />';
	echo '</div><br /></font>';
	echo $sample.$merci;
	echo '<div style="padding-left:20px; width:97%">';
	echo '<b><a href="'.$url_default.'index.php"><img src="'.$url_default.'images/generateur.png" alt="'.$team.'" /></a></b>';
	echo '</div>'.$center2;

echo '</textarea><center>';
echo '</fieldset>';
echo '</center>';
}
}
}else{ 
echo '<meta http-equiv="Refresh" content="1;URL='.$PHP_SELF.'?page=series">';
}
?>